Subject: Re: [DNSOP] DNS Camel Viewer

From: Olafur Gudmundsson <[email-masked]>
Date: Mon, 16 Apr 2018 22:39:24 -0400

> On Mar 26, 2018, at 4:15 AM, Matthijs Mekking <[email-masked]> wrote:
> 
> Nice viewer :)
> 
> What immediately catches my eye is that the DNSSEC RFCs 4033-4034-4035 are a Proposed Standard, and RFC 5011 is an Internet Standard. In fact, RFC 5011 is the only DNSSEC Internet Standard. That can't be right, right? :)
> 
> Matthijs
> 
> 

Matthijs, 

It is real sad that this is correct.
Over the many years chairing DNSIND/DNSEXT working group I can tell you the most difficult hurdle was to get anyone help push a document up the standards track. 
For some reason people can find time to read and write 100+ messages on naming of KeyID but spending the same time to advance a document is hard
and then someone  comes out and wants to make changes to text ….. 
overall result Mike StJohns is the only person that had the stamina and think skin to succeed 

Olafur

> 
> On 24-03-18 17:51, bert hubert wrote:
>> Hi everyone,
>> [tl;dr, check out https://powerdns.org/dns-camel/ ]
>> As a first step in attempting to not only whine about a glut of DNS
>> standards, I've made an easy to update viewer of all DNS relevant standards.
>> The good news is, if we filter out obsoleted, historical, informational and
>> BCP documents, we are left with a lot less pages. The bad news is, 1403
>> pages remain.
>> I took the set of RFCs from https://www.isc.org/community/rfcs/dns/ and
>> augmented this with the recent RFCs published by DNSOP and DPRIVE.
>> The page is on https://powerdns.org/dns-camel/ - it is a bit slow to load
>> because it sources the 12MB IETF XML file describing all RFCs. It should do
>> this only once and then be fast.
>> The goal is to augment this view with all drafts that are currently active,
>> so we can also see "what is coming".
>> If you know of RFCs that should or should not be on the list, please edit
>> dns-rfcs.js on https://github.com/ahupowerdns/dns-camel/
>> It is my hope that this view will be helpful in determining:
>> 1) What to obsolete
>> 2) The "must read" list for:
>> 	a) stub resolvers
>> 	b) dns caches / resolvers
>> 	c) authoritative servers
>> 3) The "must not read" list - documents not worth it to obsolete, but
>> considered confusing or misguided
>> 4) Perhaps take a good look at the drafts we are currently working on
>> 	Bert
>> _______________________________________________
>> DNSOP mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/dnsop
> 
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop